You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     ko...@freebsd.org
Last committer: ko...@freebsd.org
Ident:          $FreeBSD: head/devel/py-doit/Makefile 445868 2017-07-15 
10:42:23Z koobs $
Log URL:        
http://beefy6.nyi.freebsd.org/data/103amd64-default/447526/logs/py36-doit-0.30.3.log
Build URL:      
http://beefy6.nyi.freebsd.org/build.html?mastername=103amd64-default&build=447526
Log:

====>> Building devel/py-doit
build started at Tue Aug  8 09:54:50 UTC 2017
port directory: /usr/ports/devel/py-doit
building for: FreeBSD 103amd64-default-job-06 10.3-RELEASE-p20 FreeBSD 
10.3-RELEASE-p20 amd64
maintained by: ko...@freebsd.org
Makefile ident:      $FreeBSD: head/devel/py-doit/Makefile 445868 2017-07-15 
10:42:23Z koobs $
Poudriere version: 3.1.19-61-ga8829ba9
Host OSVERSION: 1200033
Jail OSVERSION: 1003000
Job Id: 06

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1003000
UNAME_v=FreeBSD 10.3-RELEASE-p20
UNAME_r=10.3-RELEASE-p20
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/103amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=py36-doit-0.30.3
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/103amd64-default/ref/.p/pool
MASTERNAME=103amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.19-61-ga8829ba9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python3.6" 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/py-doit/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/py-doit/work  
HOME=/wrkdirs/usr/ports/devel/py-doit/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/py-doit/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/py-doit/work  
HOME=/wrkdirs/usr/ports/devel/py-doit/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
LDSHARED="cc -shared" PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python3.6m
PYTHON_LIBDIR=lib/python3.6
PYTHON_PLATFORM=freebsd10
PYTHON_PYOEXTENSION=opt-1.pyc
PYTHON_SITELIBDIR=lib/python3.6/site-packages
PYTHON_SUFFIX=36
PYTHON_VER=3.6
PYTHON_VERSION=python3.6
PYTHON2="@comment
"
PYTHON3=""
OSREL=10.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/doit"
EXAMPLESDIR="share/examples/doit"
DATADIR="share/doit"
WWWDIR="www/doit"
ETCDIR="etc/doit"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/doit
DOCSDIR=/usr/local/share/doc/doit
EXAMPLESDIR=/usr/local/share/examples/doit
WWWDIR=/usr/local/www/doit
ETCDIR=/usr/local/etc/doit
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=amd64
CONFIGURE_MAX_CMD_LEN=262144
HAVE_COMPAT_IA32_KERN=YES
OPSYS=FreeBSD
OSREL=10.3
OSVERSION=1003000
PYTHONBASE=/usr/local
UID=0
_JAVA_OS_LIST_REGEXP=native|linux
_JAVA_VENDOR_LIST_REGEXP=openjdk|oracle|sun
_JAVA_VERSION_LIST_REGEXP=1.6|1.7|1.8|1.6\+|1.7\+|1.8\+
_OSRELEASE=10.3-RELEASE-p20
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
sbsize                   (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License MIT accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py36-doit-0.30.3 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.1.txz
[103amd64-default-job-06] Installing pkg-1.10.1...
[103amd64-default-job-06] Extracting pkg-1.10.1: .......... done
===>   py36-doit-0.30.3 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of py36-doit-0.30.3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by py36-doit-0.30.3 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by py36-doit-0.30.3 for building
=> SHA256 Checksum OK for doit-0.30.3.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by py36-doit-0.30.3 for building
===>  Extracting for py36-doit-0.30.3
=> SHA256 Checksum OK for doit-0.30.3.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py36-doit-0.30.3
===========================================================================
=======================<phase: build-depends  >============================
===>   py36-doit-0.30.3 depends on package: py36-setuptools>0 - not found
===>   Installing existing package /packages/All/py36-setuptools-36.0.1.txz
[103amd64-default-job-06] Installing py36-setuptools-36.0.1...
[103amd64-default-job-06] `-- Installing python36-3.6.2_1...
[103amd64-default-job-06] |   `-- Installing gettext-runtime-0.19.8.1_1...
[103amd64-default-job-06] |   | `-- Installing indexinfo-0.2.6...
[103amd64-default-job-06] |   | `-- Extracting indexinfo-0.2.6: .... done
[103amd64-default-job-06] |   `-- Extracting gettext-runtime-0.19.8.1_1: 
.......... done
[103amd64-default-job-06] |   `-- Installing libffi-3.2.1...
[103amd64-default-job-06] |   `-- Extracting libffi-3.2.1: .......... done
[103amd64-default-job-06] |   `-- Installing readline-7.0.3...
[103amd64-default-job-06] |   `-- Extracting readline-7.0.3: .......... done
[103amd64-default-job-06] `-- Extracting python36-3.6.2_1: .......... done
[103amd64-default-job-06] Extracting py36-setuptools-36.0.1: .......... done
Message from python36-3.6.2_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py36-gdbm       databases/py36-gdbm
py36-sqlite3    databases/py36-sqlite3
py36-tkinter    x11-toolkits/py36-tkinter

===========================================================================
Message from py36-setuptools-36.0.1:
*******************************************************************

  Only /usr/local/bin/easy_install-3.6 script has been installed
  since Python 3.6 is not the default Python version.

*******************************************************************
===>   py36-doit-0.30.3 depends on package: py36-setuptools>0 - found
===>   Returning to build of py36-doit-0.30.3
===>   py36-doit-0.30.3 depends on file: /usr/local/bin/python3.6 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py36-doit-0.30.3
running config
===========================================================================
=======================<phase: build          >============================
===>  Building for py36-doit-0.30.3
running build
running build_py
creating build
creating build/lib
creating build/lib/doit
copying doit/api.py -> build/lib/doit
copying doit/cmd_resetdep.py -> build/lib/doit
copying doit/loader.py -> build/lib/doit
copying doit/reporter.py -> build/lib/doit
copying doit/cmd_help.py -> build/lib/doit
copying doit/plugin.py -> build/lib/doit
copying doit/compat.py -> build/lib/doit
copying doit/action.py -> build/lib/doit
copying doit/cmdparse.py -> build/lib/doit
copying doit/dependency.py -> build/lib/doit
copying doit/__main__.py -> build/lib/doit
copying doit/__init__.py -> build/lib/doit
copying doit/cmd_list.py -> build/lib/doit
copying doit/version.py -> build/lib/doit
copying doit/cmd_completion.py -> build/lib/doit
copying doit/cmd_base.py -> build/lib/doit
copying doit/runner.py -> build/lib/doit
copying doit/cmd_ignore.py -> build/lib/doit
copying doit/cmd_dumpdb.py -> build/lib/doit
copying doit/cmd_strace.py -> build/lib/doit
copying doit/cmd_run.py -> build/lib/doit
copying doit/tools.py -> build/lib/doit
copying doit/cmd_clean.py -> build/lib/doit
copying doit/filewatch.py -> build/lib/doit
copying doit/cmd_info.py -> build/lib/doit
copying doit/exceptions.py -> build/lib/doit
copying doit/cmd_auto.py -> build/lib/doit
copying doit/doit_cmd.py -> build/lib/doit
copying doit/control.py -> build/lib/doit
copying doit/cmd_forget.py -> build/lib/doit
copying doit/task.py -> build/lib/doit
===========================================================================
=======================<phase: run-depends    >============================
===>   py36-doit-0.30.3 depends on package: py36-six>0 - not found
===>   Installing existing package /packages/All/py36-six-1.10.0.txz
[103amd64-default-job-06] Installing py36-six-1.10.0...
[103amd64-default-job-06] Extracting py36-six-1.10.0: .......... done
===>   py36-doit-0.30.3 depends on package: py36-six>0 - found
===>   Returning to build of py36-doit-0.30.3
===>   py36-doit-0.30.3 depends on package: py36-cloudpickle>0 - not found
===>   py36-doit-0.30.3 depends on package: 
/packages/All/py36-cloudpickle-0.3.1.txz - not found
===>   USE_PACKAGE_DEPENDS_ONLY set - not building missing dependency from 
source
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/py-doit
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to